be.ehealth.technicalconnector.beid.domain

## Class Address

- java.lang.Object
- - be.ehealth.technicalconnector.beid.domain.Address

- All Implemented Interfaces:
    Serializable

      public class Address
      extends Object
      implements Serializable

  This class contains all the information about the address of a person
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Address()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()`
    `String` | `getMunicipality()`
    `String` | `getStreetAndNumber()`
    `String` | `getZip()`
    `void` | `setData(byte[] data)`
    `void` | `setMunicipality(String municipality)`
    `void` | `setStreetAndNumber(String streetAndNumber)`
    `void` | `setZip(String zip)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Address

          public Address()

  - ### Method Detail

    - #### getStreetAndNumber

          public String getStreetAndNumber()

      Returns:
        the street and number as string

    - #### getZip

          public String getZip()

      Returns:
        the zip code as string

    - #### getMunicipality

          public String getMunicipality()

      Returns:
        the municipality

    - #### getData

          public byte[] getData()

      Returns:
        the data

    - #### setZip

          public void setZip(String zip)

      Parameters:
        `zip` - the zip code to set

    - #### setMunicipality

          public void setMunicipality(String municipality)

      Parameters:
        `municipality` - the municipality to set

    - #### setData

          public void setData(byte[] data)

      Parameters:
        `data` - the data to set

    - #### setStreetAndNumber

          public void setStreetAndNumber(String streetAndNumber)

      Parameters:
        `streetAndNumber` - the streetAndNumber to set

Connector Packaging OTMOBILITYIMPROVEMENT 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.